Skip to content

Endpoint

  • Method: POST
  • Path: /availability/{schedule_id}/clone
  • Edition: Core
  • Controller: AvailabilityController@cloneSchedule
  • Route source: fluent-booking/app/Http/Routes/api.php:109
  • Policy: AvailabilityPolicy

Clone Schedule

POST
/availability/{schedule_id}/clone

Handler: AvailabilityController@cloneSchedule. Source: fluent-booking/app/Http/Routes/api.php:109.

Authorizations

ApplicationPasswords

WordPress Application Passwords — use Basic auth with username:application_password.

Type
API Key (header: Authorization)

Parameters

Path Parameters

schedule_id*

Schedule Id path parameter.

Type
string
Required

Request Body

application/json
JSON
{
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
}
}

Responses

Resource created.

application/json
JSON
{
"message": "string",
"availability": {
"id": 0,
"object_type": "string",
"object_id": 0,
"key": "string",
"value": {
},
"created_at": "string",
"updated_at": "string"
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI